## imcode.server.document.index
Interface DirectoryIndex

All Superinterfaces:
  DocumentIndex

    public interface DirectoryIndex

extends DocumentIndex

Field Summary

Fields inherited from interface imcode.server.document.index.DocumentIndex

`FIELD__ACTIVATED_DATETIME, FIELD__ALIAS, FIELD__ARCHIVED_DATETIME, FIELD__CATEGORY, FIELD__CATEGORY_ID, FIELD__CATEGORY_TYPE, FIELD__CATEGORY_TYPE_ID, FIELD__CHILD_ID, FIELD__CREATED_DATETIME, FIELD__CREATOR_ID, FIELD__DOC_TYPE_ID, FIELD__IMAGE_LINK_URL, FIELD__KEYWORD, FIELD__META_HEADLINE, FIELD__META_HEADLINE_KEYWORD, FIELD__META_ID, FIELD__META_TEXT, FIELD__MIME_TYPE, FIELD__MODIFIED_DATETIME, FIELD__NONSTRIPPED_TEXT, FIELD__PARENT_ID, FIELD__PARENT_MENU_ID, FIELD__PHASE, FIELD__PROPERTY_PREFIX, FIELD__PUBLICATION_END_DATETIME, FIELD__PUBLICATION_START_DATETIME, FIELD__PUBLISHER_ID, FIELD__SECTION, FIELD__SECTION_ID, FIELD__STATUS, FIELD__TEMPLATE, FIELD__TEXT`

Method Summary
`void` `delete()`
`boolean` `isInconsistent()`

Methods inherited from interface imcode.server.document.index.DocumentIndex
`indexDocument, rebuild, removeDocument, search`

Method Detail

### isInconsistent

    boolean isInconsistent()

### delete

    void delete()